package com.eactive.eai.common.header; 



/** 
* 1. 기능 : 공통부 Header를 EAI에서 생성하거나 삭제해야하는 경우를 위한 interface
* 2. 처리 개요 : 
*     - 메시지종류에 따라 헤더를 생성하거나 삭제하는 API를 제공
* 3. 주의사항 
*     - AD 의 경우는 S는 ADD, R 는 DELETE
*     - DA 의 경우는 S는 DELETE, R 는 ADD
* @author  : 
* @version : v 1.0.0
* @see :
* @since : 
*/
public interface HeaderAction 
{ 
    public byte[] excute( byte[] orgData,   byte[] message, String sendRecv, String commandType);
    public byte[] deleteHeader(byte[] message, int headerLength) ;

    public byte[] addHeaderDA(byte[] orgData , byte[] message ) ;
    public byte[] addHeaderAD(byte[] orgData , byte[] message ) ;
    
    public int getHeaderLength();
    
} 

